<?php
/**
 * phpaga
 *
 * Project categories
 *
 * This is the project categories management interface.
 *
 * @author Florian Lanthaler <florian@phpaga.net>
 * @version $Id$
 *
 * Copyright (c) 2002, Florian Lanthaler <florian@phpaga.net>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *    * Neither the name of Florian Lanthaler nor the names of his
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

include_once('./config.php');
phpaga_user_pageperm(PHPAGA_PERM_MANAGE_SYSSETTINGS);

$rows = array();
$prjcat_title = null;

phpaga_header(array('menuitem' => 'administration'));

if (isset($REQUEST_DATA['action']) && strlen($REQUEST_DATA['action'])) {

    switch($REQUEST_DATA['action']) {

        case ACTION_ADD:

            if (isset($REQUEST_DATA['prjcat_title']) && strlen($REQUEST_DATA['prjcat_title'])) {

                $result = phpaga_projects_addPrjcat($REQUEST_DATA['prjcat_title']);

                if (PhPagaError::isError($result)) {
                    $result->printMessage();
                    $prjcat_title = $REQUEST_DATA['prjcat_title'];
                } else {
                    phpaga_message(_('Project category added'),
                                   _('The project category has been inserted successfully.'));
                }
            }
            break;

        case ACTION_DELETE:

            if (isset($REQUEST_DATA['id']) && strlen($REQUEST_DATA['id'])) {

                $result = phpaga_projects_deletePrjcat($REQUEST_DATA['id']);

                if (PhPagaError::isError($result)) {

                    if ($result->getCode() == PHPAGA_ERR_DEL_DEPENDENCIES)
                        phpaga_error(_('The project category cannot be deleted, as it is still used by some projects.'));
                    else
                        $result->printMessage();
                } else
                    phpaga_message(_('Project category deleted'), _('The project category has been successfully deleted.'));
            }
            break;

        default:
            break;
    }
}

$rows = phpaga_projects_getPrjcats();

if (PhPagaError::isError($rows))
    $rows->printMessage();

$tpl = new psmarty;

$tpl->assign('FORM_ACTION', basename($_SERVER['PHP_SELF']));
$tpl->assign('prjcat_title', $prjcat_title);
$tpl->assign('rows', $rows);

$tpl->display('prjcats.tpl.html');

phpaga_footer();

?>